Index: t3lib/class.t3lib_tceforms.php
===================================================================
--- t3lib/class.t3lib_tceforms.php	(revision 9469)
+++ t3lib/class.t3lib_tceforms.php	(revision )
@@ -6014,11 +5957,15 @@
 	 * @param	integer		The palette pointer/number
 	 * @return	boolean
 	 */
-	function isPalettesCollapsed($table,$palette)	{
+	function isPalettesCollapsed($table, $palette) {
 		global $TCA;
 
-		if ($TCA[$table]['ctrl']['canNotCollapse']) return 0;
-		if (is_array($TCA[$table]['palettes'][$palette]) && $TCA[$table]['palettes'][$palette]['canNotCollapse'])	return 0;
+		if ($TCA[$table]['ctrl']['canNotCollapse']) {
+			return 0;
+		}
+		if (is_array($TCA[$table]['palettes'][$palette]) && $TCA[$table]['palettes'][$palette]['canNotCollapse']) {
+			return 0;
+		}
 		return $this->palettesCollapsed;
 	}
 
@@ -6030,15 +5977,15 @@
 	 * @param	string		FlexForm value key, eg. vDEF
 	 * @return	boolean
 	 */
-	function isDisplayCondition($displayCond,$row,$ffValueKey='')	{
+	function isDisplayCondition($displayCond, $row, $ffValueKey = '') {
 		$output = FALSE;
 
-		$parts = explode(':',$displayCond);
+		$parts = explode(':', $displayCond);
-		switch((string)$parts[0])	{	// Type of condition:
+		switch ((string) $parts[0]) { // Type of condition:
 			case 'FIELD':
-				if ($ffValueKey)	{
+				if ($ffValueKey) {
-					if (strpos($parts[1], 'parentRec.') !== FALSE)	{
+					if (strpos($parts[1], 'parentRec.') !== FALSE) {
-						$fParts = explode('.',$parts[1]);
+						$fParts = explode('.', $parts[1]);
 						$theFieldValue = $row['parentRec'][$fParts[1]];
 					} else {
 						$theFieldValue = $row[$parts[1]][$ffValueKey];
@@ -6047,11 +5994,11 @@
 					$theFieldValue = $row[$parts[1]];
 				}
 
-				switch((string)$parts[2])	{
+				switch ((string) $parts[2]) {
 					case 'REQ':
-						if (strtolower($parts[3])=='true')	{
+						if (strtolower($parts[3]) == 'true') {
 							$output = $theFieldValue ? TRUE : FALSE;
-						} elseif (strtolower($parts[3])=='false') {
+						} elseif (strtolower($parts[3]) == 'false') {
 							$output = !$theFieldValue ? TRUE : FALSE;
 						}
 					break;
@@ -6069,48 +6016,54 @@
 					break;
 					case '-':
 					case '!-':
-						$cmpParts = explode('-',$parts[3]);
+						$cmpParts = explode('-', $parts[3]);
 						$output = $theFieldValue >= $cmpParts[0] && $theFieldValue <= $cmpParts[1];
-						if ($parts[2]{0}=='!')	$output = !$output;
+						if ($parts[2]{0} == '!') {
+							$output = !$output;
+						}
 					break;
 					case 'IN':
 					case '!IN':
-						$output = t3lib_div::inList($parts[3],$theFieldValue);
+						$output = t3lib_div::inList($parts[3], $theFieldValue);
-						if ($parts[2]{0}=='!')	$output = !$output;
+						if ($parts[2]{0} == '!') {
+							$output = !$output;
+						}
 					break;
 					case '=':
 					case '!=':
-						$output = t3lib_div::inList($parts[3],$theFieldValue);
+						$output = t3lib_div::inList($parts[3], $theFieldValue);
-						if ($parts[2]{0}=='!')	$output = !$output;
+						if ($parts[2]{0} == '!') {
+							$output = !$output;
+						}
 					break;
 				}
 			break;
 			case 'EXT':
-				switch((string)$parts[2])	{
+				switch ((string) $parts[2]) {
 					case 'LOADED':
-						if (strtolower($parts[3])=='true')	{
+						if (strtolower($parts[3]) == 'true') {
 							$output = t3lib_extMgm::isLoaded($parts[1]) ? TRUE : FALSE;
-						} elseif (strtolower($parts[3])=='false') {
+						} elseif (strtolower($parts[3]) == 'false') {
 							$output = !t3lib_extMgm::isLoaded($parts[1]) ? TRUE : FALSE;
 						}
 					break;
 				}
 			break;
 			case 'REC':
-				switch((string)$parts[1])	{
+				switch ((string) $parts[1]) {
 					case 'NEW':
-						if (strtolower($parts[2])=='true')	{
+						if (strtolower($parts[2]) == 'true') {
 							$output = !(intval($row['uid']) > 0) ? TRUE : FALSE;
-						} elseif (strtolower($parts[2])=='false') {
+						} elseif (strtolower($parts[2]) == 'false') {
 							$output = (intval($row['uid']) > 0) ? TRUE : FALSE;
 						}
 					break;
 				}
 			break;
 			case 'HIDE_L10N_SIBLINGS':
-				if ($ffValueKey==='vDEF')	{
+				if ($ffValueKey === 'vDEF') {
 					$output = TRUE;
-				} elseif ($parts[1]==='except_admin' && $GLOBALS['BE_USER']->isAdmin())	{
+				} elseif ($parts[1] === 'except_admin' && $GLOBALS['BE_USER']->isAdmin()) {
 					$output = TRUE;
 				}
 			break;
@@ -6118,7 +6071,7 @@
 				$output = $GLOBALS['BE_USER']->isAdmin() ? TRUE : FALSE;
 			break;
 			case 'VERSION':
-				switch((string)$parts[1]) {
+				switch ((string) $parts[1]) {
 					case 'IS':
 						$isNewRecord = (intval($row['uid']) > 0 ? FALSE : TRUE);
 
@@ -6138,9 +6091,11 @@
 
 						if (strtolower($parts[2]) == 'true') {
 							$output = $isVersion;
-						} else if (strtolower($parts[2]) == 'false') {
+						} else {
+							if (strtolower($parts[2]) == 'false') {
-							$output = !$isVersion;
-						}
+								$output = !$isVersion;
+							}
+						}
 					break;
 				}
 			break;
@@ -6159,10 +6114,10 @@
 	 * @return	integer		Returns the REAL pid of the record, if possible. If both $uid and $pid is strings, then pid=-1 is returned as an error indication.
 	 * @see t3lib_BEfunc::getTSCpid()
 	 */
-	function getTSCpid($table,$uid,$pid)	{
+	function getTSCpid($table, $uid, $pid) {
-		$key = $table.':'.$uid.':'.$pid;
+		$key = $table . ':' . $uid . ':' . $pid;
-		if (!isset($this->cache_getTSCpid[$key]))	{
+		if (!isset($this->cache_getTSCpid[$key])) {
-			$this->cache_getTSCpid[$key] = t3lib_BEfunc::getTSCpid($table,$uid,$pid);
+			$this->cache_getTSCpid[$key] = t3lib_BEfunc::getTSCpid($table, $uid, $pid);
 		}
 		return $this->cache_getTSCpid[$key];
 	}
@@ -6173,7 +6128,7 @@
 	 * @param	string		Table for which to check
 	 * @return	boolean
 	 */
-	function doLoadTableDescr($table)	{
+	function doLoadTableDescr($table) {
 		global $TCA;
 		return $TCA[$table]['interface']['always_description'];
 	}
@@ -6185,31 +6140,35 @@
 	 * @param	boolean		If set, an array entry for a default language is set.
 	 * @return	array
 	 */
-	function getAvailableLanguages($onlyIsoCoded=1,$setDefault=1)	{
+	function getAvailableLanguages($onlyIsoCoded = 1, $setDefault = 1) {
 		$isL = t3lib_extMgm::isLoaded('static_info_tables');
 
 			// Find all language records in the system:
-		$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('static_lang_isocode,title,uid', 'sys_language', 'pid=0 AND hidden=0'.t3lib_BEfunc::deleteClause('sys_language'), '', 'title');
+		$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('static_lang_isocode,title,uid', 'sys_language', 'pid=0 AND hidden=0' . t3lib_BEfunc::deleteClause('sys_language'), '', 'title');
 
 			// Traverse them:
-		$output=array();
+		$output = array();
-		if ($setDefault)	{
+		if ($setDefault) {
-			$output[0]=array(
+			$output[0] = array(
 				'uid' => 0,
 				'title' => 'Default language',
 				'ISOcode' => 'DEF'
 			);
 		}
-		while($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res))	{
+		while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
-			$output[$row['uid']]=$row;
+			$output[$row['uid']] = $row;
 
-			if ($isL && $row['static_lang_isocode'])	{
+			if ($isL && $row['static_lang_isocode']) {
-				$rr = t3lib_BEfunc::getRecord('static_languages',$row['static_lang_isocode'],'lg_iso_2');
+				$rr = t3lib_BEfunc::getRecord('static_languages', $row['static_lang_isocode'], 'lg_iso_2');
-				if ($rr['lg_iso_2'])	$output[$row['uid']]['ISOcode']=$rr['lg_iso_2'];
+				if ($rr['lg_iso_2']) {
+					$output[$row['uid']]['ISOcode'] = $rr['lg_iso_2'];
-			}
+				}
+			}
 
-			if ($onlyIsoCoded && !$output[$row['uid']]['ISOcode'])	unset($output[$row['uid']]);
+			if ($onlyIsoCoded && !$output[$row['uid']]['ISOcode']) {
+				unset($output[$row['uid']]);
-		}
+			}
+		}
 		return $output;
 	}
 
@@ -6221,29 +6180,29 @@
 	 * param	string	Sys language uid OR ISO language code prefixed with "v", eg. "vDA"
 	 * @return	void
 	 */
-	function getLanguageIcon($table,$row,$sys_language_uid)	{
+	function getLanguageIcon($table, $row, $sys_language_uid) {
-		global $TCA,$LANG;
+		global $TCA, $LANG;
 
-		$mainKey = $table.':'.$row['uid'];
+		$mainKey = $table . ':' . $row['uid'];
 
-		if (!isset($this->cachedLanguageFlag[$mainKey]))	{
+		if (!isset($this->cachedLanguageFlag[$mainKey])) {
-			t3lib_BEfunc::fixVersioningPid($table,$row);
+			t3lib_BEfunc::fixVersioningPid($table, $row);
-			list($tscPID,$thePidValue) = $this->getTSCpid($table,$row['uid'],$row['pid']);
+			list($tscPID, $thePidValue) = $this->getTSCpid($table, $row['uid'], $row['pid']);
 
 			$t8Tools = t3lib_div::makeInstance('t3lib_transl8tools');
 			$this->cachedLanguageFlag[$mainKey] = $t8Tools->getSystemLanguages($tscPID, $this->backPath);
 		}
 
 			// Convert sys_language_uid to sys_language_uid if input was in fact a string (ISO code expected then)
-		if (!t3lib_div::testInt($sys_language_uid))	{
+		if (!t3lib_div::testInt($sys_language_uid)) {
-			foreach($this->cachedLanguageFlag[$mainKey] as $rUid => $cD)	{
+			foreach ($this->cachedLanguageFlag[$mainKey] as $rUid => $cD) {
-				if ('v'.$cD['ISOcode']===$sys_language_uid)	{
+				if ('v' . $cD['ISOcode'] === $sys_language_uid) {
 					$sys_language_uid = $rUid;
 				}
 			}
 		}
 
-		return ($this->cachedLanguageFlag[$mainKey][$sys_language_uid]['flagIcon'] ? '<img src="'.$this->cachedLanguageFlag[$mainKey][$sys_language_uid]['flagIcon'].'" class="absmiddle" alt="" />' : ($this->cachedLanguageFlag[$mainKey][$sys_language_uid]['title'] ? '['.$this->cachedLanguageFlag[$mainKey][$sys_language_uid]['title'].']' : '')).'&nbsp;';
+		return ($this->cachedLanguageFlag[$mainKey][$sys_language_uid]['flagIcon'] ? '<img src="' . $this->cachedLanguageFlag[$mainKey][$sys_language_uid]['flagIcon'] . '" class="absmiddle" alt="" />' : ($this->cachedLanguageFlag[$mainKey][$sys_language_uid]['title'] ? '[' . $this->cachedLanguageFlag[$mainKey][$sys_language_uid]['title'] . ']' : '')) . '&nbsp;';
 	}
 
 	/**
@@ -6252,12 +6211,12 @@
 	 * @param	string		The value to output
 	 * @param	array		Configuration for field.
 	 * @param	string		Name of field.
-	 * @return 	string		HTML formatted output
+	 * @return	 string		HTML formatted output
 	 */
 	function previewFieldValue($value, $config, $field = '') {
-		if ($config['config']['type']==='group' &&
+		if ($config['config']['type'] === 'group' &&
-				($config['config']['internal_type'] === 'file' ||
-				$config['config']['internal_type'] === 'file_reference')) {
+			($config['config']['internal_type'] === 'file' ||
+			 $config['config']['internal_type'] === 'file_reference')) {
 				// Ignore uploadfolder if internal_type is file_reference
 			if ($config['config']['internal_type'] === 'file_reference') {
 				$config['config']['uploadfolder'] = '';
@@ -6267,14 +6226,14 @@
 			$table = 'tt_content';
 
 				// Making the array of file items:
-			$itemArray = t3lib_div::trimExplode(',',$value,1);
+			$itemArray = t3lib_div::trimExplode(',', $value, 1);
 
 				// Showing thumbnails:
 			$thumbsnail = '';
-			if ($show_thumbs)	{
+			if ($show_thumbs) {
 				$imgs = array();
-				foreach($itemArray as $imgRead)	{
+				foreach ($itemArray as $imgRead) {
-					$imgP = explode('|',$imgRead);
+					$imgP = explode('|', $imgRead);
 					$imgPath = rawurldecode($imgP[0]);
 
 					$rowCopy = array();
@@ -6285,14 +6244,14 @@
 
 					$fI = pathinfo($imgPath);
 					$fileIcon = t3lib_BEfunc::getFileIcon(strtolower($fI['extension']));
-					$fileIcon = '<img'.t3lib_iconWorks::skinImg($this->backPath,'gfx/fileicons/'.$fileIcon,'width="18" height="16"').' class="absmiddle" title="'.htmlspecialchars($fI['basename'].($absFilePath && @is_file($absFilePath) ? ' ('.t3lib_div::formatSize(filesize($absFilePath)).'bytes)' : ' - FILE NOT FOUND!')).'" alt="" />';
+					$fileIcon = '<img' . t3lib_iconWorks::skinImg($this->backPath, 'gfx/fileicons/' . $fileIcon, 'width="18" height="16"') . ' class="absmiddle" title="' . htmlspecialchars($fI['basename'] . ($absFilePath && @is_file($absFilePath) ? ' (' . t3lib_div::formatSize(filesize($absFilePath)) . 'bytes)' : ' - FILE NOT FOUND!')) . '" alt="" />';
 
-					$imgs[] = '<span class="nobr">'.t3lib_BEfunc::thumbCode($rowCopy,$table,$field,$this->backPath,'thumbs.php',$config['config']['uploadfolder'],0,' align="middle"').
+					$imgs[] = '<span class="nobr">' . t3lib_BEfunc::thumbCode($rowCopy, $table, $field, $this->backPath, 'thumbs.php', $config['config']['uploadfolder'], 0, ' align="middle"') .
-								($absFilePath ? $this->getClickMenu($fileIcon, $absFilePath) : $fileIcon).
+							  ($absFilePath ? $this->getClickMenu($fileIcon, $absFilePath) : $fileIcon) .
-								$imgPath.
+							  $imgPath .
-								'</span>';
+							  '</span>';
 				}
-				$thumbsnail = implode('<br />',$imgs);
+				$thumbsnail = implode('<br />', $imgs);
 			}
 
 			return $thumbsnail;
@@ -6306,16 +6265,16 @@
 	 *
 	 * return array	Array of additional languages to preview
 	 */
-	function getAdditionalPreviewLanguages()	{
+	function getAdditionalPreviewLanguages() {
-		if (!isset($this->cachedAdditionalPreviewLanguages)) 	{
+		if (!isset($this->cachedAdditionalPreviewLanguages)) {
-			if ($GLOBALS['BE_USER']->getTSConfigVal('options.additionalPreviewLanguages'))	{
+			if ($GLOBALS['BE_USER']->getTSConfigVal('options.additionalPreviewLanguages')) {
-				$uids = t3lib_div::intExplode(',',$GLOBALS['BE_USER']->getTSConfigVal('options.additionalPreviewLanguages'));
+				$uids = t3lib_div::intExplode(',', $GLOBALS['BE_USER']->getTSConfigVal('options.additionalPreviewLanguages'));
-				foreach($uids as $uid)	{
+				foreach ($uids as $uid) {
-					if ($sys_language_rec = t3lib_BEfunc::getRecord('sys_language',$uid))	{
+					if ($sys_language_rec = t3lib_BEfunc::getRecord('sys_language', $uid)) {
 						$this->cachedAdditionalPreviewLanguages[$uid] = array('uid' => $uid);
 
-						if ($sys_language_rec['static_lang_isocode'] && t3lib_extMgm::isLoaded('static_info_tables'))	{
+						if ($sys_language_rec['static_lang_isocode'] && t3lib_extMgm::isLoaded('static_info_tables')) {
-							$staticLangRow = t3lib_BEfunc::getRecord('static_languages',$sys_language_rec['static_lang_isocode'],'lg_iso_2');
+							$staticLangRow = t3lib_BEfunc::getRecord('static_languages', $sys_language_rec['static_lang_isocode'], 'lg_iso_2');
 							if ($staticLangRow['lg_iso_2']) {
 								$this->cachedAdditionalPreviewLanguages[$uid]['uid'] = $uid;
 								$this->cachedAdditionalPreviewLanguages[$uid]['ISOcode'] = $staticLangRow['lg_iso_2'];
@@ -6352,10 +6311,10 @@
 	 * @param	string		$ident: Identifier of the level
 	 * @return	void
 	 */
-	function popFromDynNestedStack($type=null, $ident=null) {
-		if ($type!=null && $ident!=null) {
+	function popFromDynNestedStack($type = NULL, $ident = NULL) {
+		if ($type != NULL && $ident != NULL) {
 			$last = end($this->dynNestedStack);
-			if ($type==$last[0] && $ident==$last[1]) {
+			if ($type == $last[0] && $ident == $last[1]) {
 				array_pop($this->dynNestedStack);
 			}
 		} else {
@@ -6371,7 +6330,7 @@
 	 * @param	boolean		$skipFirst: Skip the first element in the dynNestedStack - default: false
 	 * @return	mixed		Returns an associative array by default. If $json is true, it will be returned as JSON string.
 	 */
-	function getDynNestedStack($json=false, $skipFirst=false) {
+	function getDynNestedStack($json = FALSE, $skipFirst = FALSE) {
 		$result = $this->dynNestedStack;
 		if ($skipFirst) {
 			array_shift($result);
@@ -6410,7 +6369,7 @@
 	 * @param	boolean		$setLevel: Set the reverse level lookup - default: true
 	 * @return	void
 	 */
-	protected function registerNestedElement($itemName, $setLevel=true) {
+	protected function registerNestedElement($itemName, $setLevel = TRUE) {
 		$dynNestedStack = $this->getDynNestedStack();
 		if (count($dynNestedStack) && preg_match('/^(.+\])\[(\w+)\]$/', $itemName, $match)) {
 			array_shift($match);
@@ -6430,13 +6389,13 @@
 	 * @return	string		$relation: value for the rel attribute of the link element
 	 * @return	void
 	 */
-	public function addStyleSheet($key, $href, $title='', $relation='stylesheet') {
+	public function addStyleSheet($key, $href, $title = '', $relation = 'stylesheet') {
 		$GLOBALS['SOBE']->doc->addStyleSheet($key, $href, $title, $relation);
-	 }
+	}
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_tceforms.php'])	{
+if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_tceforms.php']) {
 	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_tceforms.php']);
 }
 
